<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
################################################################################
switch($act){
default:
echo '<div class="title"><b>'.razd.' Админ-Панель | Пользователи</b></div>';
		
$k_post = DB :: run() -> querySingle("select count(`id`) from `users`");		
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage; 
	
$sql = DB :: run() -> query("select * from `users` order by `id` limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Пользователей нет!</center></div>';
} else {
echo '<div class="menu">';
	 echo'<style>
	            TH {
             background: #e3ecdf; /* Цвет фона ячеек */
	         color: black; /* Цвет текста */ 
			      }</style>	
	     <BODY><TABLE BORDER WIDTH=100%>
           <TR>
         <TH><center><b>Логин</b></center></TH>
         <TH><center><b>Статус</b></center></TH>
         <TH><center><b>Регистрация</center></TH>
		 <TH><center><b>Действие</center></TH></TR>';	
	
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo'<TR>
         <TD ALIGN=CENTER>'.login($row -> login, 1).'</TD>
         <TD ALIGN=CENTER>'.online($row -> login).'</b></TD>
         <TD ALIGN=CENTER> '.date('d.m.Y H:i', $row -> regdate).'</TD>
		 <TD ALIGN=CENTER> <a href="'.URL.'/_members-'.checkout($row -> login).'">Редактировать</a></TD></TR></BODY> ';
		}
 echo '<tr><TD colspan=7 ALIGN=CENTER>Всего пользователей: <b>'.$k_post.'</b></TD>';	

echo '</table></div>';


if ($k_page > 1) navigation(URL.'/_members?', $k_page, $page);
}		
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
case 'us':

$login = isset($_GET['login']) ? filter_var($_GET['login'], FILTER_SANITIZE_STRING) : false;

$sql = DB :: run() -> query("select * from `users` where `login` = ? limit 1", array($login));

$row = $sql -> fetch(PDO::FETCH_OBJ);

echo '<div class="title"><b>'.razd.' Админ-Панель | Пользователь '.checkout($row -> login).'</b></div>';		
		
$error = null;
			
if (isset($_POST['email'])){			

$email = isset($_POST['email']) ? filter_var($_POST['email'], FILTER_SANITIZE_EMAIL) : false;
$status = isset($_POST['status']) ? filter_var($_POST['status'], FILTER_SANITIZE_NUMBER_INT) : '0';
$akk = isset($_POST['akk']) ? filter_var($_POST['akk'], FILTER_SANITIZE_NUMBER_INT) : '0';
$bank = isset($_POST['bank']) ? filter_var($_POST['bank'], FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION) : '0.00';
$balans = isset($_POST['balans']) ? filter_var($_POST['balans'], FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION) : '0.000';
$us = isset($row -> login) ? filter_var($row -> login, FILTER_SANITIZE_STRING) : false;

if (empty($email)){
          $error .= 'E-mail не должен быть пустым!<br>';
} else if(filter_var($email, FILTER_VALIDATE_EMAIL) === false){
          $error .= 'E-mail введен не верно!<br>';
}

if ($error){
echo '<div class="error"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {

if (DB :: run() -> query("update `users` set `email` = ?, `balans` = ?, `bank` = ?, `admin` = ?, `active` = ? where `login` = ? limit 1", array($email, $balans, $bank, $status, $akk, $us))){
$_SESSION['success'] = 'Данные сохранены!';
header('Location: '.URL.'/_members');
} else {
$_SESSION['fail'] = 'Данные не сохранены!';
header('Location: '.URL.'/_members');
}
}
}


echo '<div class="menu">';
echo '<i class="fa fa-user fa-fw"></i> Логин: <b>'.checkout($row -> login).'</b><br>';
echo '<i class="fa fa-at fa-fw"></i> E-mail: <b>'.checkout($row -> email).'</b><br>';
echo '<i class="fa fa-rub fa-fw"></i> Баланс: <b>'.money(checkout($row -> balans)).'</b><br>';
echo '<i class="fa fa-bank fa-fw"></i> Кредиты: <b>'.coins(checkout($row -> bank)).'</b><br>';
echo '<i class="fa  fa-adn fa-fw"></i> Уровень доступа:';
if($row->admin == 0){
echo ' <b>Пользователь</b>';
}elseif($row->admin == 1){
echo ' <b>Администратор</b>';
}elseif($row->admin == 2){
echo ' <b>Модератор</b>';
}else{
echo 'Error';
}
echo '</br><i class="fa fa-dot-circle-o fa-fw"></i> <b>Аккаунт:</b> '.($row -> active == '1' ? 'Активирован' : 'Не активирован').'</div>';
echo '<div class="menu"><form action="'.URL.'/_members-'.checkout($row -> login).'" method="post">';
echo '<b>* E-mail:</b><br/><input type="text" name="email" value="'.checkout($row -> email).'" maxlength="35"/><br/>';			
echo '<b>* Баланс:</b><br/><input type="text" name="balans" size="5" value="'.checkout($row -> balans).'"/><br/>';
echo '<b>* Кредиты:</b><br/><input type="text" name="bank" size="5" value="'.checkout($row -> bank).'"/><br/>


<b>* Уровень доступа:</b><br/><select name="status">
<option value="0"'.select(0, $row -> admin).'>Пользователь</option>
<option value="1"'.select(1, $row -> admin).'>Админ</option>
<option value="2"'.select(2, $row -> admin).'>Модератор</option>
</select><br>


<b>* Аккаунт:</b><br/><select name="akk">
<option value="0"'.select(0, $row -> active).'>Дезактивировать</option>
<option value="1"'.select(1, $row -> active).'>Активировать</option>
</select><br><br>';

echo '<input type="submit" class="btn btn-success btn-sm" value="Сохранить"/></form></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
}
} else {
echo '<div class="title"><b>'.razd.' Проверка прав доступа</b></div>';
echo '<div class="error"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>